Sign In
curl --request POST \
--url https://api.yertle.com/auth/signin \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"password": "<string>"
}
'import requests
url = "https://api.yertle.com/auth/signin"
payload = {
"email": "jsmith@example.com",
"password": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'jsmith@example.com', password: '<string>'})
};
fetch('https://api.yertle.com/auth/signin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"user": {},
"accessToken": "<string>",
"idToken": "<string>",
"refreshToken": "<string>",
"expiresIn": 123,
"tokens": {
"accessToken": "<string>",
"idToken": "<string>",
"refreshToken": "<string>",
"expiresIn": 123,
"tokenType": "Bearer"
},
"tokenType": "Bearer"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authentication
Sign In
deprecated
Sign in a user and return authentication tokens.
Deprecated for API-consumer use — use Personal Access Tokens instead. Retained for local dev where there is no Cognito to hit.
POST
/
auth
/
signin
Sign In
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
Response model for successful sign in.
Success message
User information
Access token for API requests
ID token with user claims
Refresh token for token renewal
Token expiry time in seconds
Authentication tokens (for backward compatibility)
Show child attributes
Show child attributes
Token type
⌘I